Bug 1036220 - Font hinting and aliasing not properly configured on fresh Fedora 19/20/21/22/23 install.
Summary: Font hinting and aliasing not properly configured on fresh Fedora 19/20/21/22...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig
Version: 23
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-29 19:48 UTC by AGS
Modified: 2016-12-20 12:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 12:43:29 UTC


Attachments (Terms of Use)
These are the configurations for 10-antialias.conf and 10-hinting-slight.conf (595 bytes, text/plain)
2013-11-29 19:48 UTC, AGS
no flags Details

Description AGS 2013-11-29 19:48:07 UTC
Created attachment 830756 [details]
These are the configurations for 10-antialias.conf and 10-hinting-slight.conf

Description of problem:

The fonts in Fedora 19 look odd, thin and the font alignment is totally off resulting in unreadable or very poor quality text.  Setting Gnome Shell's or even Mate's anti-aliasing font-configuration here does nothing to enhance text quality.  Web-pages in browsers such as Chrome and Firefox look ugly and strange.  Other Linux distributions such as Ubuntu and Unixes like Mac OS X do not have this problem, on fresh installs fonts look crisp, beautiful and full.

Version-Release number of selected component (if applicable):

Fedora release 19 (Schrödinger’s Cat)

How reproducible:

Do a fresh install of Fedora 19 from the install images, look at the fonts.


Steps to Reproduce:
1. Do a fresh install of Fedora 19 from the install images. 
2. Attempt to use the desktop environment settings to adjust the font aliasing and hinting.
3. Look at text rendering versus that in other distributions.

Actual results:

Text is rendered in a very odd and thin way, kerning is also off and the fonts characters are misaligned, in Fedora resulting in a degraded visual experience especially in web-browsers, 

Expected results:

Text should render in a similar beautiful and smooth fashion the way it does on other Linux distributions such as Ubuntu and Unixes such as Mac OS X.

Additional info:

Manual configuration is required to fix this by creating the proper symbolic links between '/usr/share/fontconfig/conf.avail/' and '/etc/fonts/conf.d' for the following configurations which are installed in 'conf.avail' but just never configured out of the box:

'/usr/share/fontconfig/conf.avail/10-sub-pixel-rgb.conf'
'/usr/share/fontconfig/conf.avail/11-lcdfilter-default.conf'

It also requires the creation of the following two font configurations which are attached to this bug report and the creation of the corresponding symbolic links in '/etc/fonts/conf.d':

'/usr/share/fontconfig/conf.avail/10-antialias.conf'
'/usr/share/fontconfig/conf.avail/10-hinting-slight.conf'

External References:
http://ruturaj.net/tweaking-gnome3-fedora-fonts-like-ubuntu/

Comment 1 Akira TAGOH 2013-12-02 03:02:51 UTC
I don't think enabling 10-antialias.conf, 10-sub-pixel-rgb.conf and 11-lcdfilter-default.conf would helps for your issue because those should be already enabled by the desktop's configuration. for defaulting the hinting style to the slight, we have another bug https://bugzilla.redhat.com/show_bug.cgi?id=1035486

I don't make this as duplicate of that at this point yet but I'm still thinking the same to what I mentioned in that bug. I'd encourage you to file a separate bug for a font what you feels odd for.

Comment 2 AGS 2013-12-30 19:06:38 UTC
Looking at that bug #1035486 and doing some further testing I've come to the conclusion that following is the bare minimum to make things look right:

/etc/fonts/conf.d/10-sub-pixel-rgb.conf
/etc/fonts/conf.d/10-hinting-slight.conf

As well as installing the 'freetype-freeworld' package also improved things and eliminated any issues mentioned in #1035486.  

You were right, either using Gnome or Mate, the desktop shell RGBA and hint-slight settings fixed most issues in most places but applications like browsers that are more or less using their own built-in rendering for fonts are the most severely affected. This is critical because browsers are the single most important core application and the most frequently used.  Font rendering in browsers needs to be at parity with Mac OS and Windows 7/8, this can be achieved by simple configuration.  I also don't know the status of 'freetype-freeworld' and why it's not included but it should be installed by default.

Comment 3 Akira TAGOH 2014-01-17 09:35:14 UTC
I see another bug report that are complaining similar thing at Bug#1035486 which is related to the new CFF rasterizer though, are you seeing this issue with Cantarell only? if there are any other fonts, please let me know.

Comment 4 AGS 2014-02-26 20:44:27 UTC
Akira, unfortunately I think this is a related issue but not exactly a duplicate of the one you mentioned.  I don't have a problem with fuzzy fonts.  My problem is that on installation Fedora does not configure fonts in a way that makes sense for users with LCD or LED monitors or those running on laptops. While it is true that the desktop environments control font hinting for apps under their direct control other X11 apps that have separate rendering systems are not.

To mark this bug fixed it needs the follow to fix:

> The package 'freetype-freeworld' should be installed by default.

> In '/etc/fonts/conf.d' the following needs to be enabled.
>> 10-sub-pixel-rgb
>> 10-hinting-slight
>> 10-lcdfilter-default

> autohinter or any other types of hinting needs to be disabled.

This way font rendering in X11 applications such as xterm the various web-browsers like Chrome or Firefox and other apps will render fonts properly on LCD/LED screens and laptops.

Comment 6 Akira TAGOH 2014-04-23 03:29:02 UTC
(In reply to AGS from comment #4)
> Akira, unfortunately I think this is a related issue but not exactly a
> duplicate of the one you mentioned.  I don't have a problem with fuzzy
> fonts.  My problem is that on installation Fedora does not configure fonts
> in a way that makes sense for users with LCD or LED monitors or those
> running on laptops. While it is true that the desktop environments control
> font hinting for apps under their direct control other X11 apps that have
> separate rendering systems are not.

Well, I'd say that is out of the scope of fontconfig and is what desktops takes care. making dependencies to X and/or any hardware specific things in fontconfig isn't a good idea unless there are anything supporting cross-platforms.

Comment 7 AGS 2014-11-13 14:19:01 UTC
(In reply to Akira TAGOH from comment #6)
> (In reply to AGS from comment #4)
> > Akira, unfortunately I think this is a related issue but not exactly a
> > duplicate of the one you mentioned.  I don't have a problem with fuzzy
> > fonts.  My problem is that on installation Fedora does not configure fonts
> > in a way that makes sense for users with LCD or LED monitors or those
> > running on laptops. While it is true that the desktop environments control
> > font hinting for apps under their direct control other X11 apps that have
> > separate rendering systems are not.
> 
> Well, I'd say that is out of the scope of fontconfig and is what desktops
> takes care. making dependencies to X and/or any hardware specific things in
> fontconfig isn't a good idea unless there are anything supporting
> cross-platforms.

Akira, just taking a look at this bug after a long time.  I still don't agree with your assertion. System-wide font config is important because apps like Firefox, LiberOffice and Chromium have their own font-rendering and that's directly affected by the systems font config and not the desktop environments own built-in rendering settings. This is also true of older X11 style apps like xterm.

That's why tools like Fedy (http://satya164.github.io/fedy/) are so popular on Fedora.  There's a feature to install the "Infinality" font-rendering package that fixes these issues:

https://github.com/satya164/fedy/blob/master/plugins/util/font_rendering.sh  

If fonts on Fedora were properly configured out-of-the-box then we wouldn't need such tweaks just to get things to look right.

Comment 8 Fedora End Of Life 2015-01-09 20:43:58 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-11-04 11:30:14 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Pravin Satpute 2015-11-25 13:40:20 UTC
Is this bug still exist in F23? Is not please close else move to F23. 
We don't want to loose any valuable bug :)

Comment 11 Fedora End Of Life 2015-12-02 03:03:47 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 AGS 2015-12-14 16:02:58 UTC
This is still current as this is still ongoing.  New Fedora installs are not given correct font configuration leading to very odd font hinting. How will this be handled in GNOME Wayland session?

Comment 13 Fedora End Of Life 2016-11-24 11:04:42 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2016-12-20 12:43:29 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.